include	clib.inc
include	stdio.inc
include	io.inc

	public	@printf	; char *, ... -- (DS:)AX, SP

_TEXT	SEGMENT

@printf	PROC	DIST
	call	@vsbufin
	push	1
	push	ds
	push	OFFSET _bufin
	push	ax
	call	write
	ret	; Return number of chars written
@printf	ENDP

_TEXT	ENDS

	END
